Bug 488685 - NameError: global name 'namedconf' is not defined
NameError: global name 'namedconf' is not defined
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnssec-conf (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Avesh Agarwal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 02:48 EST by Charles R. Anderson
Modified: 2009-06-25 19:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 19:36:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[PATCH] fix by initializing namedconf and unboundconf before searching for them (609 bytes, patch)
2009-03-05 02:48 EST, Charles R. Anderson
no flags Details | Diff

  None (edit)
Description Charles R. Anderson 2009-03-05 02:48:53 EST
Created attachment 334104 [details]
[PATCH] fix by initializing namedconf and unboundconf before searching for them

Description of problem:

On a system that has no named.conf, or has no unbound.conf (e.g. fresh install, install only one of the two servers bind or unbound, etc.) the dnssec-configure command tracebacks.

Version-Release number of selected component (if applicable):
1.16-1

How reproducible:
always

Steps to Reproduce:
1. fresh system, no bind, no unbound, no lingering named.conf or unbound.conf
2. yum install unbound dnssec-conf
3. dnssec-configure --dnssec=on
  
Actual results:

#dnssec-configure --dnssec=on
Traceback (most recent call last):
  File "/usr/sbin/dnssec-configure", line 789, in <module>
    sys.exit(main())
  File "/usr/sbin/dnssec-configure", line 210, in main
    if bind and not namedconf:
NameError: global name 'namedconf' is not defined


Expected results:
no traceback

Additional info:
Comment 1 Paul Wouters 2009-03-09 16:29:03 EDT
Fixed in dnssec-conf 1.17. will close bug when packages are built
Comment 3 Bug Zapper 2009-06-09 07:53:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Paul Wouters 2009-06-25 19:36:33 EDT
This was fixed in 1.21-1

Note You need to log in before you can comment on or make changes to this bug.